	character*4 stat(10000)
	character*4 unique_stat(1000)
	i=1
1	read(5,'(a4)',end=999,err=999)stat(i)
	i=i+1
	goto 1
999	continue
	ndata=i
	unique_stat(1)=stat(1)
	k=1
	iloc=2
2	continue
	do i=iloc,ndata
		if(stat(i).ne.unique_stat(k))then
			iloc=i+1
			k=k+1
			unique_stat(k)=stat(i)
			goto 2
		endif
	enddo
	write(6,'(a4)')(unique_stat(i),i=1,k)
	end
